export const SKYEYE_VIDEO_PATH = 'skyeyeVideoPath';
export const SKYEYE_VIDEO_PATH_MAP = {
  // 看视频用绝对地址
  abs: 'abs',
  // 看视频用相对地址
  relative: '',
};

const videoPath = window.localStorage.getItem(SKYEYE_VIDEO_PATH);

export const getVideoRenderUrlKey = () => {
  // // 总部内网地址的话，用绝对地址去访问
  // if (isPrivateIp(location.host)) return "pushstreamIpAbs";
  // // 其他用相对地址
  // return "pushstreamIp";

  if (videoPath === SKYEYE_VIDEO_PATH_MAP.abs) {
    return 'pushstreamIpAbs';
  } else {
    return 'pushstreamIp';
  }
};

// export const isPrivateIp = (host: string) => {
//   return host.startsWith("10.11");
// };
